# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# $Revision: 1.16 $, $Date: 2008-01-26 23:38:08 $
Name:		BillardGL
Summary:	3D billard simulation using OpenGL
Summary(pl.UTF-8):	Symulacja bilarda używająca OpenGL
Version:	1.75
Release:	alt1_3
Group:		Games/Other
License:	GPL
Source0:	http://billardgl.sourceforge.net/download/%{name}-%{version}.tar.gz
# Source0-md5:	46f2cf99e1a2b2aa4707d3500e43be47
Source1:	%{name}.desktop
Source2:	%{name}.xpm
Patch0:		%{name}-starting-resolution.patch
Patch1:		%{name}-depracted.patch
Patch2:		%{name}-config_buffer_overflows.patch
URL:		http://www.tobias-nopper.de/BillardGL/
BuildRequires:	freeglut-devel
BuildRequires:	sed >= 4.0
BuildRequires:	libXi-devel
BuildRequires:	libXmu-devel
Source44: import.info

%description
3D billard simulation using OpenGL.

%description -l pl.UTF-8
Trójwymiarowa symulacja bilarda używająca OpenGL.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src
sed -i -e "s:/usr/X11R6/lib:/usr/X11R6/%{_lib}:g" Makefile
sed -i -e "s:/usr/share/:%{_datadir}/:" Namen.h
%{__make}

%install
install -d $RPM_BUILD_ROOT{%{_bindir},%{_desktopdir},%{_pixmapsdir},%{_datadir}/%{name}/lang,%{_datadir}/%{name}/Texturen/{1,2,4,8}}

cd src
install BillardGL $RPM_BUILD_ROOT%{_bindir}
install lang/*.lang $RPM_BUILD_ROOT%{_datadir}/%{name}/lang
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

for j in 1 2 4 8 ; do
	for i in Texturen/$j/*; do
		install $i $RPM_BUILD_ROOT%{_datadir}/%{name}/Texturen/$j
	done
done

%files
%defattr(644,root,root,755)
%doc src/README
%attr(755,root,root) %{_bindir}/BillardGL
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Mon Aug 19 2013 Igor Vlasenko <viy@altlinux.ru> 1.75-alt1_3
- converted for ALT Linux by srpmconvert tools

